File: changelog

package info (click to toggle)
libmoosex-app-perl 1.41-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 764 kB
  • sloc: perl: 4,004; makefile: 2
file content (168 lines) | stat: -rw-r--r-- 5,452 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
libmoosex-app-perl (1.41-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ gregor herrmann ]
  * Add patch from GitHub issue for Moose 2.201.400 compatibility.
    (Closes: #978302)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Jan 2021 14:03:13 +0100

libmoosex-app-perl (1.41-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 1.41.
  * Update debian/upstream/metadata.
  * Don't install test examples as examples for users.
  * Drop stanza about removed files from debian/copyright.
  * Update years of packaging copyright.
  * Remove (build) dependency on libpath-class-perl.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Dec 2019 18:38:08 +0100

libmoosex-app-perl (1.39-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.39
  * debian/copyright: Update copyright years
  * debian/control: Build-Depends-Indep on perl (>= 5.25.1)
  * Bump Standards-Version to 4.1.1 (no changes)
  * debian/patches/fix-podman-error: Remove, applied upstream

 -- Angel Abad <angel@debian.org>  Mon, 02 Oct 2017 07:45:05 +0200

libmoosex-app-perl (1.37-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.37
  * debian/patches/fix-podman-error: Fix error.

 -- Angel Abad <angel@debian.org>  Mon, 21 Nov 2016 13:42:40 +0100

libmoosex-app-perl (1.36-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.

  [ Angel Abad ]
  * Import upstream version 1.36
  * debian/control:
    - Build-Depends on perl (>= 5.15.2).
    - Add libmodule-pluggable-perl to {Build-}Depends.
  * debian/copyright: Update years.
  * debian/patches/spelling.patch: Remove, applied upstream.
  * Declare compliance with Debian policy 3.9.8.

 -- Angel Abad <angel@debian.org>  Tue, 25 Oct 2016 17:22:16 +0200

libmoosex-app-perl (1.35-1) unstable; urgency=medium

  * Import upstream version 1.35.
  * Update debian/upstream/metadata.
  * Update years of upstream copyright.
  * Update years of packaging copyright.
  * Drop spelling.patch, applied upstream.
  * Drop version from libmoose-perl (build) dependency.
    The required version is satisfied on oldstable.
  * Add a new spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Apr 2016 17:29:12 +0200

libmoosex-app-perl (1.34-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 1.34.
  * Drop spelling.patch, merged upstream.
  * Declare compliance with Debian Policy 3.9.7.
  * Add new spelling.patch. Lintian has extended its list of
    spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Feb 2016 16:27:06 +0100

libmoosex-app-perl (1.33-1) unstable; urgency=medium

  * Import upstream version 1.33
  * Drop spelling.patch, fixed upstream.
  * Add a new spelling.patch to fix new spelling mistakes.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 07 Jul 2015 19:45:48 +0200

libmoosex-app-perl (1.30-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Import upstream version 1.30
  * Add more packages to Build-Depends-Indep and Recommends.
  * Mark package as autopkgtest-able.
  * Add patch to fix spelling mistakes.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Oct 2014 22:14:25 +0200

libmoosex-app-perl (1.29-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Aug 2014 19:31:20 +0200

libmoosex-app-perl (1.28-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 May 2014 20:42:36 +0200

libmoosex-app-perl (1.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, both merged upstream.
  * Lower required debhelper version to plain '9'.

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Mar 2014 15:21:58 +0100

libmoosex-app-perl (1.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: add copyright years and info about inc/Module/*.
  * Update short/long description.
  * Add patch to silence experimental::smartmatch warnings (again).
  * Add a patch to fix some spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Mar 2014 22:33:06 +0100

libmoosex-app-perl (1.22-1) unstable; urgency=low

  * Initial Release (Closes: #734033)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 2 Jan 2014 10:25:21 +0100